Open SCAP Library

Data Structures | Macros | Functions
xmlfilecontent.c File Reference

xmlfilecontent probe More...

`#include <stdlib.h>`
`#include <string.h>`
`#include <limits.h>`
`#include <libxml/tree.h>`
`#include <libxml/parser.h>`
`#include <libxml/xpath.h>`
`#include <libxml/xpathInternals.h>`
`#include <seap.h>`
`#include <probe-api.h>`
`#include <probe/probe.h>`
`#include <probe/option.h>`
`#include <oval_fts.h>`
`#include <common/debug_priv.h>`

## Data Structures
struct | pfdata

## Macros
#define | FILE_SEPARATOR '/'

## Functions
int | probe_offline_mode_supported ()
void * | probe_init (void)
void | probe_fini (void *arg)
int | probe_main (probe_ctx *ctx, void *arg)

## Detailed Description

xmlfilecontent probe

Author
  "Tomas Heinrich" thein.nosp@m.ric@.nosp@m.redha.nosp@m.t.co.nosp@m.m

2010/06/13 dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m This probe is able to process an xmlfilecontent_object as defined in OVAL 5.4 and 5.5.